// Per prima cosa cercare in gestione librerie MAX6675 
// e installare MAX6675 library by Adafruit

#include "max6675.h"

// Collegamento piedini
int thermoSO = 4;
int thermoCS = 5;
int thermoSCK = 6;

// Inoltre collegare i piedini di alimentazione del circuito a GND e 5V

// Chiamo MAX6675 il circuito e lo inizializzo secondo i piedini scelti
MAX6675 thermocouple(thermoSCK, thermoCS, thermoSO);

  
void setup() {
// Leggo sul monitor seriale i valori  
  Serial.begin(9600);
  
  Serial.println("MAX6675 test");

// tempo per stabilizzarlo
  delay(1000);
}

void loop() {

// Lettura temperatura in gradi Celsius (e' possibile anche leggerli in F)
   Serial.print("C = "); 
   Serial.println(thermocouple.readCelsius());

// Ritardo (minimo) necessario per il funzionamento del MAX6675. Senza delay non funzionerebbe  
   delay(500);
}
